#!/usr/bin/env bash


latestVersion=$(git tag | sort -V | tail -1)
if [[ -z "$latestVersion" ]]; then
  echo "Latest version is not tagged"
  exit 1
fi

publishedVersion=$(npm view amcik-everywhere version 2>/dev/null)

if [ "$latestVersion" == "$publishedVersion" ]; then
    echo "Skipping publish as latest version is same as NPM published version: $latestVersion"
    exit 0
fi 

if [[ -z "$publishedVersion" ]]; then
    echo "Publishing the package with initial version as tagged: $latestVersion"
else
    echo "Latest version ($latestVersion) is not same as the published version ($publishedVersion)"
fi
    
npm publish